Bug 1256542 - [abrt] nautilus: directory_load_done(): nautilus killed by SIGSEGV
[abrt] nautilus: directory_load_done(): nautilus killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:272aadf98ce58e0672aad029c5e...
:
: 1267360 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 17:44 EDT by Diogo Campos
Modified: 2015-10-14 18:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 14:36:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.55 KB, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: core_backtrace (2.89 KB, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: dso_list (13.73 KB, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: environ (920 bytes, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: exploitable (127 bytes, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: maps (65.47 KB, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: open_fds (2.75 KB, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: proc_pid_status (1008 bytes, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-08-24 17:45 EDT, Diogo Campos
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 755207 None None None Never

  None (edit)
Description Diogo Campos 2015-08-24 17:44:59 EDT
Description of problem:
Happened just after I entered in the folder "lost+found" on a USB Flash Drive (ext4).

Version-Release number of selected component:
nautilus-3.17.90-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: directory_load_done
executable:     /usr/bin/nautilus
global_pid:     9715
kernel:         4.2.0-0.rc6.git0.2.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 directory_load_done at nautilus-directory-async.c:1085
 #1 enumerate_children_callback at nautilus-directory-async.c:2009
 #2 g_task_return_now at gtask.c:1104
 #3 complete_in_idle_cb at gtask.c:1118
 #7 g_main_context_iteration at gmain.c:3901
 #8 g_application_run at gapplication.c:2311
Comment 1 Diogo Campos 2015-08-24 17:45:04 EDT
Created attachment 1066644 [details]
File: backtrace
Comment 2 Diogo Campos 2015-08-24 17:45:06 EDT
Created attachment 1066645 [details]
File: cgroup
Comment 3 Diogo Campos 2015-08-24 17:45:08 EDT
Created attachment 1066646 [details]
File: core_backtrace
Comment 4 Diogo Campos 2015-08-24 17:45:10 EDT
Created attachment 1066647 [details]
File: dso_list
Comment 5 Diogo Campos 2015-08-24 17:45:12 EDT
Created attachment 1066648 [details]
File: environ
Comment 6 Diogo Campos 2015-08-24 17:45:14 EDT
Created attachment 1066649 [details]
File: exploitable
Comment 7 Diogo Campos 2015-08-24 17:45:15 EDT
Created attachment 1066650 [details]
File: limits
Comment 8 Diogo Campos 2015-08-24 17:45:19 EDT
Created attachment 1066651 [details]
File: maps
Comment 9 Diogo Campos 2015-08-24 17:45:21 EDT
Created attachment 1066652 [details]
File: mountinfo
Comment 10 Diogo Campos 2015-08-24 17:45:22 EDT
Created attachment 1066653 [details]
File: namespaces
Comment 11 Diogo Campos 2015-08-24 17:45:24 EDT
Created attachment 1066654 [details]
File: open_fds
Comment 12 Diogo Campos 2015-08-24 17:45:26 EDT
Created attachment 1066655 [details]
File: proc_pid_status
Comment 13 Diogo Campos 2015-08-24 17:45:28 EDT
Created attachment 1066656 [details]
File: var_log_messages
Comment 14 Branko Grubić 2015-09-18 03:40:25 EDT
Another user experienced a similar problem:

Possible case: Nautilus was called from abrt applet, possibly opening directory where I don't have permissions. (Not sure if this causes the crash, or it is related in any way, but that is only thing I can remember now)

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: directory_load_done
executable:     /usr/bin/nautilus
global_pid:     5763
kernel:         4.2.0-300.fc23.x86_64
package:        nautilus-3.17.91-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Carlos Soriano 2015-10-14 18:20:46 EDT
*** Bug 1267360 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.